Preparing_for_the_Future = class(Window);

function Preparing_for_the_Future: GetName()
	return "Preparing for the Future";
end

function Preparing_for_the_Future: IsRunning()
	return (self.window ~= nil);
end

function Preparing_for_the_Future: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Preparando-se para o Futuro"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n-Candaith-30.1S, 37.9W - Candaith's Encampment - Lone-lands");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nEnquanto você caminha em Bleakrift procurando por Uzorr, fique atento a cofres ou qualquer coisa que tenha a aparência de valor que os Orcs possam ter roubado.\n\n'Se meu palpite de Radagast estiver correto, então isso irá prepará-lo bem para o futuro e a possibilidade de lidar com uma variedade de pessoas aqui nas Terras Solitárias( lone lands ). Não direi mais nada deles agora, pois são um povo privado e não cabe a mim revelar seus segredos.\n\n- Você saberá do que estou falando se os vir, mas mantenha sua busca centrada em Bleakrift.");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nCandaith pede que você procure no acampamento Orc em Bleakrift por qualquer coisa que possa valer a pena. Ele sugere que isso pode ser algo que ajudará um grupo de pessoas com as quais você provavelmente lidará no futuro.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1- Colete cofres danificados (0/8)\nDevolva os cofres para Candaith\nO Bleakrift fica ao norte e oeste do acampamento de Candaith em uma divisão perto do pequeno riacho que separa a Weatherway e as Weather Hills.\n\nCandaith pediu para você olhar para qualquer coisa que possa parecer ter valor na área de Bleakrift pedindo que você devolva a ele.\n\nCandaith: 'Lá os orcs são saqueadores, é verdade, mas eles ainda estão aqui por algum propósito e já roubaram mais de uma vez. É possível que seus roubos incluam objetos retirados de pessoas que fazem dessas terras sua casa. Em sua busca pelo Bleakrift, procure qualquer coisa que possa ser de valor, pegue-a e devolva-a para mim.\nCandaith: 'Sim, eu acho que isso vai servir muito bem. Mais sobre isso daqui a pouco, pois há muito mais a fazer sobre esses orcs antes que eu os envie para os habitantes das Terras Solitárias.");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nPré-requisitos: Complete Quest:Capítulo 2: An Orc Messenger . Embora seja uma missão épica, é opcional.\n\nOs cofres estão em Bleakrift");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("Redigido pelo Dastan e patrocinado pelo Nelson Oliveira");

	--Cria uma barra de rolagem vertical para o label
	v_scrollbar=Turbine.UI.Lotro.ScrollBar();
	v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight());
	v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);

	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();

		self.label:SetSize(window_width-30, window_height-70);
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Preparing_for_the_Future:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Preparing_for_the_Future()); 